Name:          libtorrent
License:       GPLv2+
Version:       0.13.8
Release:    1%{?dist}
Summary:       BitTorrent library with a focus on high performance & good code
URL:           https://github.com/rakshasa/libtorrent/
Source0:       http://rtorrent.net/downloads/libtorrent-%{version}.tar.gz
Patch0:        libtorrent-configure-c99.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: libsigc++20-devel
BuildRequires: libtool
BuildRequires: openssl-devel
BuildRequires: pkgconfig
BuildRequires: zlib-devel
BuildRequires: make

%description
LibTorrent is a BitTorrent library written in C++ for *nix, with a focus 
on high performance and good code. The library differentiates itself 
from other implementations by transfering directly from file pages to 
the network stack. On high-bandwidth connections it is able to seed at 
3 times the speed of the official client.

%package devel
Summary: Libtorrent development environment
Requires: %{name} = %{version}-%{release}

%description devel
Header and library definition files for developing applications
with the libtorrent libraries.

%prep
%autosetup -p1

%build
sh autogen.sh
%configure --with-posix-fallocate
%make_build

%install
%make_install
rm -f %{buildroot}%{_libdir}/*.la


%files
%doc AUTHORS README
%license COPYING
%{_libdir}/libtorrent.so.*

%files devel
%{_libdir}/pkgconfig/libtorrent.pc
%{_includedir}/torrent
%{_libdir}/*.so

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.13.8-1
- initial build
